using System;
using System.Collections;
using System.Collections.Generic;
using System.Configuration;
using System.Data;
using System.Web;
using System.Web.Security;
using System.Web.UI;
using System.Web.UI.HtmlControls;
using System.Web.UI.WebControls;
using System.Web.UI.WebControls.WebParts;

namespace TopWinCMS.WebUI.Admin.ControlPanel
{
    public partial class CacheExplorer : TopWinCMS.WebFactory.PageBase
    {
        protected void Page_Load(object sender, EventArgs e)
        {
            this.Compress = true;

            DataTable dt_Cache = new DataTable();
      
            dt_Cache.Columns.Add(new DataColumn("Key", typeof(string)));

            foreach (DictionaryEntry de in HttpRuntime.Cache)
            {
               
                dt_Cache.Rows.Add(de.Key);
            }

            DataView dv = new DataView(dt_Cache);
            dv.Sort = "key desc";

            this.DataList1.DataSource = dv;
            this.DataList1.DataBind();
 
        }
    }
}